function layout_enableControl(btId, bEnable)
{
  // We do not have a stop button
  if (!(btId == "stop"))
    button_enableButton("layout" + btId, bEnable);
}

function layout_displayIsBuffering(bDisplay)
{
  if (bDisplay)
    getHtmlObject('', 'BufferLabel', '', true, true).visibility = 'visible';
  else
    getHtmlObject('', 'BufferLabel', '', true, true).visibility = 'hidden';
}

function layout_setPlayIsPause(bPlayIsPause)
{
  if (bPlayIsPause)
    button_setButtonState("layoutplay", "1");
  else
    button_setButtonState("layoutplay", "0");
}

function layout_setIsMuted(bIsMuted)
{
  if (bIsMuted)
    button_setButtonState("layoutmute", "1");
  else
    button_setButtonState("layoutmute", "0");
}

function layout_updateTime(timeMs)
{
  if (isNS4)
  {
    var curSlide = layout_getSlide(timeMs);
    var selForm = document.Form1;
    if (selForm)
    {
      if (selForm.slideoption.selectedIndex != curSlide)
	selForm.slideoption.selectedIndex = curSlide;
    }

    return;
  }

  if (!g_isSliding)
  {
    timeSlider.setValue(timeMs);
  }

  if (g_TimeLabel == null)
    g_TimeLabel = getHtmlObject('', 'TimeLabel', '', false, true);
  var delta = g_lastDisplayedTimeMs - timeMs;
  if (delta >= 1000 || delta <= -1000)
  {
    g_TimeLabel.innerHTML = msToTime(timeMs);
    g_lastDisplayedTimeMs = timeMs;
  }

  if (!g_isStandaloneMode)
    frames['thumbsFrame'].thumbs_updateTime(timeMs);

  //document.getElementById('TimeLabel').innerHTML = msToTime(timeMs);
  //getHtmlObject('', 'TimeLabel', '', false, true).innerHTML = msToTime(timeMs);
}

function layout_getSlidesTop()
{
  if (isNS4)
    return 40;
  return 20;
}

function layout_getSlidesLeft()
{
  return headerWidth + 10 + 10; // padding + border of slides
}
